summaryrefslogtreecommitdiffstats
path: root/slackware64-current/extra/source/brltty/brltty.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64-current/extra/source/brltty/brltty.SlackBuild')
-rwxr-xr-xslackware64-current/extra/source/brltty/brltty.SlackBuild132
1 files changed, 132 insertions, 0 deletions
diff --git a/slackware64-current/extra/source/brltty/brltty.SlackBuild b/slackware64-current/extra/source/brltty/brltty.SlackBuild
new file mode 100755
index 000000000..31d6fc1fb
--- /dev/null
+++ b/slackware64-current/extra/source/brltty/brltty.SlackBuild
@@ -0,0 +1,132 @@
+#!/bin/sh
+#
+# Copyright 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Set initial variables:
+CWD=`pwd`
+if [ "$TMP" = "" ]; then
+ TMP=/tmp
+fi
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP # location to build the source
+fi
+PKG=/tmp/package-brltty
+
+VERSION=4.2
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $PKG
+cd $TMP
+rm -rf brltty-$VERSION
+tar xvf $CWD/brltty-$VERSION.tar.?z* || exit 1
+cd brltty-$VERSION
+
+sh autogen
+
+chown -R root:root .
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 700 -exec chmod 755 {} \;
+find . -perm 744 -exec chmod 755 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+./configure \
+ --prefix=/usr \
+ --bindir=/bin \
+ --sbindir=/sbin \
+ --libdir=/lib${LIBDIRSUFFIX} \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --build=$ARCH-slackware-linux
+make -j2 || exit 1
+make install INSTALL_ROOT=$PKG || exit 1
+chmod 755 $PKG/bin/* $PKG/lib${LIBDIRSUFFIX}/brltty/*
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/brltty-$VERSION
+cp -a \
+ README* COPYING* \
+ Documents/{Manual-*,TODO,CONTRIBUTORS,HISTORY,README.*} \
+ $PKG/usr/doc/brltty-$VERSION
+cat Documents/ChangeLog | head -n 150 > $PKG/usr/doc/brltty-$VERSION/ChangeLog
+( cd $PKG/usr/doc/brltty-$VERSION
+ find . -name "Makefile*" -exec rm -f {} \;
+ find . -name "*.sgml" -exec rm -f {} \;
+ find . -size 0 -type f -exec rm -f {} \;
+)
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r Documents/ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat Documents/ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r Documents/ChangeLog $DOCSDIR/ChangeLog
+fi
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/etc
+cp -a Documents/brltty.conf $PKG/etc/brltty.conf.new
+
+mkdir -p $PKG/install
+# Write out the doinst.sh:
+cat << EOF > $PKG/install/doinst.sh
+config() {
+ NEW="\$1"
+ OLD="\$(dirname \$NEW)/\$(basename \$NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r \$OLD ]; then
+ mv \$NEW \$OLD
+ elif [ "\$(cat \$OLD | md5sum)" = "\$(cat \$NEW | md5sum)" ]; then # toss the redundant copy
+ rm \$NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config etc/brltty.conf.new
+
+EOF
+
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+makepkg -l y -c n ../brltty-$VERSION-$ARCH-$BUILD.txz
+